org.apache.tinkerpop.gremlin.process.computer

## Enum MapReduce.Stage

- java.lang.Object
- - java.lang.Enum<MapReduce.Stage>
  - - org.apache.tinkerpop.gremlin.process.computer.MapReduce.Stage

- All Implemented Interfaces:
    Serializable, Comparable<MapReduce.Stage>
  Enclosing interface:
    MapReduce<MK,MV,RK,RV,R>

      public static enum MapReduce.Stage
      extends Enum<MapReduce.Stage>

  MapReduce is composed of three stages: map, combine, and reduce.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMBINE`
    `MAP`
    `REDUCE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MapReduce.Stage` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MapReduce.Stage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAP

          public static final MapReduce.Stage MAP

    - #### COMBINE

          public static final MapReduce.Stage COMBINE

    - #### REDUCE

          public static final MapReduce.Stage REDUCE

  - ### Method Detail

    - #### values

          public static MapReduce.Stage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MapReduce.Stage c : MapReduce.Stage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MapReduce.Stage valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.